Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.pmapi
Interface TActivityStatus

All Superinterfaces:
  org.apache.xmlbeans.XmlAnySimpleType, org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlString, org.apache.xmlbeans.XmlTokenSource

All Known Implementing Classes:
  TActivityStatusImpl

    public interface TActivityStatus

extends org.apache.xmlbeans.XmlString

An XML tActivityStatus(@http://www.apache.org/ode/pmapi/types/2006/08/02/). This is an atomic type that is a restriction of org.apache.ode.bpel.pmapi.TActivityStatus.

Nested Class Summary
`static class` | `TActivityStatus.Enum` Enumeration value class for org.apache.ode.bpel.pmapi.TActivityStatus.
`static class` | `TActivityStatus.Factory` A factory class with static methods for creating instances of this type.

Field Summary
`static TActivityStatus.Enum` | `COMPLETED`
`static TActivityStatus.Enum` | `ENABLED`
`static TActivityStatus.Enum` | `FAILURE`
`static int` | `INT_COMPLETED`
`static int` | `INT_ENABLED`
`static int` | `INT_FAILURE`
`static int` | `INT_STARTED`
`static TActivityStatus.Enum` | `STARTED`
`static org.apache.xmlbeans.SchemaType` | `type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`org.apache.xmlbeans.StringEnumAbstractBase` | `enumValue()`
`void` | `set(org.apache.xmlbeans.StringEnumAbstractBase e)`

Methods inherited from interface org.apache.xmlbeans.XmlAnySimpleType
`getStringValue, set, setStringValue, stringValue`

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final org.apache.xmlbeans.SchemaType type

### ENABLED

    static final TActivityStatus.Enum ENABLED

### STARTED

    static final TActivityStatus.Enum STARTED

### COMPLETED

    static final TActivityStatus.Enum COMPLETED

### FAILURE

    static final TActivityStatus.Enum FAILURE

### INT_ENABLED

    static final int INT_ENABLED

See Also:
  Constant Field Values

### INT_STARTED

    static final int INT_STARTED

See Also:
  Constant Field Values

### INT_COMPLETED

    static final int INT_COMPLETED

See Also:
  Constant Field Values

### INT_FAILURE

    static final int INT_FAILURE

See Also:
  Constant Field Values

Method Detail

### enumValue

    org.apache.xmlbeans.StringEnumAbstractBase enumValue()

### set

    void set(org.apache.xmlbeans.StringEnumAbstractBase e)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD